// quotectl.h : Declaration of the CQuoteCtrl OLE control class.

#define MAXQUOTES 	6
/////////////////////////////////////////////////////////////////////////////
// CQuoteCtrl : See quotectl.cpp for implementation.
//
class CQuoteCtrl : public COleControl
{
	DECLARE_DYNCREATE(CQuoteCtrl)

// Constructor
public:
	CQuoteCtrl();

	// Drawing function
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

	// Persistence
	virtual void DoPropExchange(CPropExchange* pPX);

	// Reset control state
	virtual void OnResetState();

	BSTR m_bstrQuote[MAXQUOTES];
	BSTR m_bstrAuthor[MAXQUOTES];
	int m_nQID;
// Implementation
protected:
	~CQuoteCtrl();

	BEGIN_OLEFACTORY(CQuoteCtrl)        // Class factory and guid
		virtual BOOL VerifyUserLicense();
		virtual BOOL GetLicenseKey(DWORD, BSTR FAR*);
	END_OLEFACTORY(CQuoteCtrl)

	DECLARE_OLETYPELIB(CQuoteCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CQuoteCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CQuoteCtrl)		// Type name and misc status

	// Message maps
	//{{AFX_MSG(CQuoteCtrl)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Dispatch maps
	//{{AFX_DISPATCH(CQuoteCtrl)
	BOOL m_showAuthor;
	afx_msg void OnShowAuthorChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

	// Event maps
	//{{AFX_EVENT(CQuoteCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CQuoteCtrl)
	dispidShowAuthor = 1L,
	//}}AFX_DISP_ID
	};
};
