// commctl.h : Declaration of the CCommCtrl OLE control class.

/////////////////////////////////////////////////////////////////////////////
// CCommCtrl : See commctl.cpp for implementation.

class CCommCtrl : public COleControl
{
	DECLARE_DYNCREATE(CCommCtrl)

// Constructor
public:
	CCommCtrl();

// Overrides

	// Drawing function
	virtual void OnDraw(
				CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

	// Persistence
	virtual void DoPropExchange(CPropExchange* pPX);

	// Reset control state
	virtual void OnResetState();

// Implementation
protected:
	~CCommCtrl();

	DECLARE_OLECREATE_EX(CCommCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CCommCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CCommCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CCommCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CCommCtrl)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CCommCtrl)
	CString m_phoneNumber;
	afx_msg void OnPhoneNumberChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CCommCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CCommCtrl)
	dispidPhoneNumber = 1L,
	//}}AFX_DISP_ID
	};
};
